lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  linux-hardening  linux-cve-announce  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [thread-next>] [day] [month] [year] [list]
Message-Id: <20230315130518.4496-1-unixbhaskar@gmail.com>
Date:   Wed, 15 Mar 2023 18:35:18 +0530
From:   Bhaskar Chowdhury <unixbhaskar@...il.com>
To:     masahiroy@...nel.org, nicolas@...sle.eu
Cc:     linux-kernel@...r.kernel.org, linux-kbuild@...r.kernel.org,
        Bhaskar Chowdhury <unixbhaskar@...il.com>
Subject: [PATCH] Kbuild: Elevate sha1sum to sha256sum for atomic headers check

Thought it would be a good idea to use a elevated mechanism i.e sha256sum

Signed-off-by: Bhaskar Chowdhury <unixbhaskar@...il.com>
---
 Kbuild | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/Kbuild b/Kbuild
index 464b34a08f51..b74040346d76 100644
--- a/Kbuild
+++ b/Kbuild
@@ -45,14 +45,14 @@ missing-syscalls: scripts/checksyscalls.sh $(offsets-file)

 # Check the manual modification of atomic headers

-quiet_cmd_check_sha1 = CHKSHA1 $<
-      cmd_check_sha1 = \
-	if ! command -v sha1sum >/dev/null; then \
-		echo "warning: cannot check the header due to sha1sum missing"; \
+quiet_cmd_check_sha256 = CHKSHA256 $<
+      cmd_check_sha256 = \
+	if ! command -v sha256sum >/dev/null; then \
+		echo "warning: cannot check the header due to sha256sum missing"; \
 		exit 0; \
 	fi; \
 	if [ "$$(sed -n '$$s:// ::p' $<)" != \
-	     "$$(sed '$$d' $< | sha1sum | sed 's/ .*//')" ]; then \
+	     "$$(sed '$$d' $< | sha256sum | sed 's/ .*//')" ]; then \
 		echo "error: $< has been modified." >&2; \
 		exit 1; \
 	fi; \
--
2.39.2

Powered by blists - more mailing lists

Powered by Openwall GNU/*/Linux Powered by OpenVZ